#ifndef _G_DEFAULT_ATTACK_
#define _G_DEFAULT_ATTACK_

#include <hpllib/game/player/AbstractAttack.h>

class GDefaultAttack : public AbstractAttack {
public:
	GDefaultAttack():AbstractAttack(){}
	virtual ~GDefaultAttack(){}

public:
	void setup( HPLShootingObject* lpObject );
	void attack( HPLShootingObject* lpObject, HPLShootingObject* lpTarget,
		HPLVector* lpCenter, HPLVector* lpVelocityAngle, 
		std::vector<bool>& vecCurrentKeyState, std::vector<bool>& vecPreviousKeyState );
};

#endif
